> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all RCS agents



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/rcs.yml get /messaging/rcs/agents
openapi: 3.1.0
info:
  title: Telnyx RCS Messaging API
  version: 2.0.0
  description: API for RCS messaging.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging/rcs/agents:
    get:
      tags:
        - RCS
      summary: List all RCS agents
      operationId: ListRCSAgents
      parameters:
        - $ref: '#/components/parameters/PageConsolidated'
      responses:
        '200':
          description: Successful reponse with the list of RCS agents
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RCSAgentsResponse'
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const rcsAgent of client.messaging.rcs.agents.list()) {
              console.log(rcsAgent.agent_id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.messaging.rcs.agents.list()
            page = page.data[0]
            print(page.agent_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Messaging.Rcs.Agents.List(context.TODO(), telnyx.MessagingRcAgentListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.messaging.rcs.agents.AgentListPage;
            import com.telnyx.sdk.models.messaging.rcs.agents.AgentListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AgentListPage page = client.messaging().rcs().agents().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.messaging.rcs.agents.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->messaging->rcs->agents->list(pageNumber: 0, pageSize: 0);

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging:rcs:agents list \
              --api-key 'My API Key'
components:
  parameters:
    PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally:
        page[number], page[size]
      schema:
        type: object
        properties:
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
  schemas:
    RCSAgentsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/RCSAgent'
        meta:
          $ref: '#/components/schemas/messaging_PaginationMeta'
    RCSAgent:
      type: object
      properties:
        agent_id:
          type: string
          description: RCS Agent ID
          example: TestAgent
        user_id:
          type: string
          description: User ID associated with the RCS Agent
          example: 2ecf295b-36c6-4d43-ad05-71eb1e560518
        profile_id:
          type:
            - string
            - 'null'
          format: uuid
          description: Messaging profile ID associated with the RCS Agent
          example: 4001932a-b8a3-42fc-9389-021be6388909
        webhook_url:
          type:
            - string
            - 'null'
          format: url
          description: URL to receive RCS events
          example: http://example.com
        webhook_failover_url:
          type:
            - string
            - 'null'
          format: url
          description: Failover URL to receive RCS events
          example: http://example.com
        agent_name:
          type: string
          description: Human readable agent name
          example: Test Agent
        enabled:
          type: boolean
          description: Specifies whether the agent is enabled
          example: true
        created_at:
          type: string
          format: date-time
          description: Date and time when the resource was created
          example: '2024-01-01T12:00:00.000Z'
        updated_at:
          type: string
          format: date-time
          description: Date and time when the resource was updated
          example: '2024-01-01T12:00:00.000Z'
    messaging_PaginationMeta:
      type: object
      required:
        - total_pages
        - total_results
        - page_size
        - page_number
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  responses:
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````